# h5isSpace

Check if the HDF5 object is a dataspace

## Calling Sequence

                b = h5isSpace(obj)

## Arguments

obj

  a H5Object

b

  a boolean

## Description

Check if an HDF5 object is a dataspace object.

## Examples

    // Create a SOD file which an HDF5 one
    x = 1:10;
    save(TMPDIR + "/x.sod", "x");

    // Open the file
    a = h5open(TMPDIR + "/x.sod", "r");

    // Test
    h5isSpace(a)

    // Test against the dataspace associated to dataset 'x'
    h5isSpace(a.root.x.dataspace)

    // We close all
    h5close(a)

## See Also

- h5isFile

- h5isGroup

- h5isSet

- h5isAttr

- h5isType

- h5isRef

- h5isCompound

- h5isArray

- h5isVlen

## History

5.5.0
HDF5 module introduced.